﻿

Namespace ViewModel
    Public Class AnalysisVm
        Inherits ViewModelBase
        Implements IRibbonTab

        Public Sub New()
            If IsInDesignMode Then
                Name = "analysis"
                Header = "New Analysis"
                Content = "Der Content vom Analysis"
            End If
        End Sub

        Public Sub New(header As String, name As String, content As Object)
            Me.Header = header
            Me.Name = name
            Me.Content = content
        End Sub

        Private _content As Object
        Public Property Content As Object Implements IRibbonTab.Content
            Get
                Return _content
            End Get
            Set(value As Object)
                _content = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _header As String
        Public Property Header As String Implements IRibbonTab.Header
            Get
                Return _header
            End Get
            Set(value As String)
                _header = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _name As String
        Public Property Name As String Implements IRibbonTab.Name
            Get
                Return _name
            End Get
            Set(value As String)
                _name = value
                RaisePropertyChanged()
            End Set
        End Property
    End Class
End Namespace